import { createApp, Plugin } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import Holo from 'holo-vue'
import 'normalize.css'
import 'holo-vue/dist/style.css'
import Icon from '@/components/Icon.vue'
import 'virtual:svg-icons-register'

const app = createApp(App)

app.use(createPinia())
app.use(Holo)
app.component('Icon', Icon)
app.mount('#app')